summarylogtreecommitdiffstats
path: root/chrysalis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chrysalis.sh')
-rwxr-xr-xchrysalis.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/chrysalis.sh b/chrysalis.sh
index f4117f646922..b0835280ba68 100755
--- a/chrysalis.sh
+++ b/chrysalis.sh
@@ -1,3 +1,12 @@
#!/usr/bin/env sh
+set -e
+
+if [ -n "$WAYLAND_DISPLAY" ]; then
+ set -- --enable-features=UseOzonePlatform --ozone-platform=wayland "$@"
+fi
+
+if ! grep -qFx 1 /proc/sys/kernel/unprivileged_userns_clone; then
+ set -- --no-sandbox "$@"
+fi
exec electron /usr/lib/chrysalis/app.asar "$@"